Bug 469826 - [RFE] Allow traceback posting to http://fpaste.org
[RFE] Allow traceback posting to http://fpaste.org
Status: NEW
Product: Fedora
Classification: Fedora
Component: report (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Gavin Romig-Koch
Fedora Extras Quality Assurance
http://fpaste.org
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-04 05:16 EST by Till Maas
Modified: 2018-05-24 16:30 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Till Maas 2008-11-04 05:16:05 EST
Description of problem:
http://fpaste.org[1] allows to store information without requiring any credentials, which would make it a lot easier to store traces from anaconda, therefore I suggest to additionally allow to submit anaconda traces to fpaste.org. They can then still be used in Bugzilla.

Version-Release number of selected component (if applicable):

11.4.1.50 from Snap3 i386 DVD

[1] Fedora paste bin
Comment 1 Chris Lumens 2008-11-04 11:10:08 EST
I'd definitely consider a patch for this if one were provided, but I'm unlikely to have any time to work on adding this myself for quite a while.  If we were to add this, we're probably going to need to start rethinking the UI a little bit - especially in text mode.
Comment 2 Till Maas 2008-11-04 17:54:04 EST
I looked at the code and now understand why this is a complex task. I will try to write a patch, but it will also take a while.
Comment 3 Chris Lumens 2009-07-30 14:19:31 EDT
This is now split out into a much smaller and less intimidating code base.  Check out python-meh from fedorahosted.org.
Comment 4 Till Maas 2009-07-30 16:13:12 EDT
Here is a code snippet to paste a string to fpaste and it returns the url of the fpaste:

http://fpaste.org/paste/20423

I am not yet sure how this should be integrated into python-meh. Should I create a class that implements all the methods from AbstractFiler?
Comment 5 Till Maas 2009-08-03 16:34:25 EDT
fpaste was redesigned just now, so the script does not work anymore and is not available there. I will look into this later.
Comment 6 Chris Lumens 2010-01-04 10:43:27 EST
It looks increasingly like python-meh will start to use the report library to handle interaction with bug reporting systems, so I'm going to go ahead and reassign this bug so he can start to look at how to handle this.
Comment 7 Jonathan Steffan 2010-04-10 16:28:59 EDT
Where is the code base this needs to be integrated into? Sorry about the fpaste re-write, but it was needed. I will likely be able to add a patch in little time.
Comment 8 Till Maas 2010-04-10 16:44:51 EDT
(In reply to comment #7)
> Where is the code base this needs to be integrated into? Sorry about the fpaste
> re-write, but it was needed. I will likely be able to add a patch in little
> time.    

python-meh is located at fedorahosted:
http://git.fedoraproject.org/git/python-meh.git
Comment 9 Gavin Romig-Koch 2010-04-12 15:43:31 EDT
Except that python-meh now uses report (http://git.fedoraproject.org/git/report.git) to deliver bug-reports to a wider, and more configurable, set of places.

Report uses a configurable plug-in system to allow it to deliver 'bug-reports' to a growing list of places.  An fpaste plugin should look/work very much like the scp, or ftp, or localsave plugins.   For example you can look at the scp plugin code within the report repo (at ./python/report/plugin/scp/__init__.py and ./etc/report.d/scp.conf).
Comment 10 Gavin Romig-Koch 2010-08-25 13:04:05 EDT
Yes this should be done, but can't do it immediately.

Note You need to log in before you can comment on or make changes to this bug.